Skip to content

Most visited

Recently visited

navigation

MediaCodecInfo.EncoderCapabilities

public static final class MediaCodecInfo.EncoderCapabilities
extends Object

java.lang.Object
   ↳ android.media.MediaCodecInfo.EncoderCapabilities


A class that supports querying the encoding capabilities of a codec.

Summary

Constants

int BITRATE_MODE_CBR

Constant bitrate mode

int BITRATE_MODE_CQ

Constant quality mode

int BITRATE_MODE_VBR

Variable bitrate mode

Public methods

Range<Integer> getComplexityRange()

Returns the supported range of encoder complexity values.

boolean isBitrateModeSupported(int mode)

Query whether a bitrate mode is supported.

Inherited methods

From class java.lang.Object

Constants

BITRATE_MODE_CBR

added in API level 21
int BITRATE_MODE_CBR

Constant bitrate mode

Constant Value: 2 (0x00000002)

BITRATE_MODE_CQ

added in API level 21
int BITRATE_MODE_CQ

Constant quality mode

Constant Value: 0 (0x00000000)

BITRATE_MODE_VBR

added in API level 21
int BITRATE_MODE_VBR

Variable bitrate mode

Constant Value: 1 (0x00000001)

Public methods

getComplexityRange

added in API level 21
Range<Integer> getComplexityRange ()

Returns the supported range of encoder complexity values.

Some codecs may support multiple complexity levels, where higher complexity values use more encoder tools (e.g. perform more intensive calculations) to improve the quality or the compression ratio. Use a lower value to save power and/or time.

Returns
Range<Integer>

isBitrateModeSupported

added in API level 21
boolean isBitrateModeSupported (int mode)

Query whether a bitrate mode is supported.

Parameters
mode int

Returns
boolean

This site uses cookies to store your preferences for site-specific language and display options.

Get the latest Android developer news and tips that will help you find success on Google Play.

* Required Fields

Hooray!

Follow Google Developers on WeChat

Browse this site in ?

You requested a page in , but your language preference for this site is .

Would you like to change your language preference and browse this site in ? If you want to change your language preference later, use the language menu at the bottom of each page.

This class requires API level or higher

This doc is hidden because your selected API level for the documentation is . You can change the documentation API level with the selector above the left navigation.

For more information about specifying the API level your app requires, read Supporting Different Platform Versions.

Take a short survey?
Help us improve the Android developer experience.
(Sep 2017 survey)